﻿/* -----------------------------------------------------------------------------

    This file should be used to add your own CSS definitions or override
	the existing ones.

----------------------------------------------------------------------------- */

/* your CSS here */

/* -----------------------------------------------------------------------------

    RESPONSIVE DEFINITIONS

----------------------------------------------------------------------------- */

/* -------------------------------------------------------------------------
    LARGE DEVICES
    devices with width between 992px and 1199px
------------------------------------------------------------------------- */

@media ( max-width: 1199px ) {

    /* your CSS here */

}

/* -------------------------------------------------------------------------
    MEDIUM DEVICES
    devices with width between 768px and 991px
------------------------------------------------------------------------- */

@media ( max-width: 991px ) {

    /* your CSS here */

}

/* -------------------------------------------------------------------------
    SMALL DEVICES
    devices with width between 481px and 767px
------------------------------------------------------------------------- */

@media ( max-width: 767px ) {

   .various-content .m-has-price .accordion-content .accordion-content__table-row {
        flex-direction: column;
    }
    .various-content .m-has-price .accordion-content .accordion-content__table-col:not(.actions) {
        margin-bottom: 5px;
    }
    .various-content .m-has-price .accordion-content .accordion-content__table-col:not(:first-child) {
        margin-left: 0;
    }
    .various-content .m-has-price .accordion-content .accordion-content__table-col.actions {
        white-space: normal;
        text-align: right;
    }

}

/* -------------------------------------------------------------------------
    EXTRA SMALL DEVICES
    devices with width up to 480px
------------------------------------------------------------------------- */

@media ( max-width: 480px ) {

    /* your CSS here */

    .md-dialog-fullscreen {
        min-width: 100%!important;
    }

}

@media ( max-width: 380px ) {

    /* your CSS here */

    .reservation-box-user {
        position:relative
    }

    .reservation-box-user md-divider:first-of-type {
        margin-bottom:35px
    }

    .reservation-box-user .reservation-add-services {
        position: absolute;
        top: 85px;
    }

}

.core{
    padding-bottom: 200px;
}

.reservationBox {
    background-color: #6BAB35;
    color: #FFFFFF;
    display: inline-block;
    font-size: 11px;
    text-align: center;
    width: 129px;
    height: 25px;
    cursor: pointer;
}

.priceBox {
    background-color: #5D5D5D;
    color: #DCDCDC;
    display: inline-block;
    font-size: 11px;
    text-align: center;
    width: 70px;
    height: 25px;
}

.timeBox {
    background-color: #969696;
    color: #E5E5E5;
    display: inline-block;
    font-size: 11px;
    text-align: center;
    width: 55px;
    height: 25px;
}

.disabled {
    z-index: 1000;
    opacity: 0.6;
    pointer-events: none;
}

.infoLabel {
    color: rgba(0, 0, 0, 0.54);
    z-index: 0;
    pointer-events: none;
    font-size: 12px;
    margin-top: -4px;
    margin-bottom: -7px;
}

.reservationBox {
    /*display: none !important;*/
}
#page-content {
	margin-bottom: 50px;
}
.md-button:disabled {
	background-color: lightcoral;
}
.md-button:disabled span {
	color: #f5f5f5;
}
tr.busy {
    background: #FFABAB;
}
tr .bold {
    font-weight: bold;
}
.reservations-date h4 {
    margin: 20px 0 0 0;
}

.time-interval {
    font-size: 16px!important;
    width: 94px;
    font-family: ds-digitalnormal;
}
.hours-reservations {width:100%;padding: 0 15px 30px 45px;}
.hours-reservations .time-divider-top {
    position: absolute;
    top: -8px;
    left: -45px;
    font-size: 12px;
    color: #757575;
}
.hours-reservations .time-divider-bottom {
    position: absolute;
    bottom: -7px;
    left: -45px;
    font-size: 12px;
    color: #757575;
    background: #fff;
    z-index: 1;
}
.hour-holiday {
    padding: 0 15px;
    font-size: 12px;
    height: 40px;
    line-height: 40px;
}
.hours-reservations .hr-interval {
    position: relative;
    display: block;
    min-height: 40px;
    border-top: 1px solid #E2E2E2;
    border-bottom: 1px solid #e2e2e2;
    margin-top: -1px;
}
.hours-reservations .hr-interval.busy {background: #FFAFAF;border-color: #FB9696}
.hours-reservations .hr-interval .hour-reservation {width: 100%;display: block;    font-size: 12px;}
.hours-reservations .hr-interval .hour-reservation > div {
    display: inline-block;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
    vertical-align: middle;
    float: left;
    height: 40px;
    line-height: 40px;
}
.hours-reservations .hr-interval .hour-reservation .hr-actions button {
    min-width: 0;
    width: auto;
    max-width: 100px;
}

.hr-service {width: 26%;padding: 0 2%;}
.hr-price {width: 8%;padding:0 1%}
.hr-name {width: 8%;padding:0 1%}
.hr-email {width: 13%;padding:0 1%}
.hr-phone {width: 13%;padding:0 1%}
.hr-employee {width: 14%;padding:0 1%}
.hr-actions {float: right!important;}
.user-reservations .hr-interval:last-of-type {min-height: 0;border: none}


/*.tooltipdemoBasicUsage md-toolbar .md-toolbar-tools .md-button,*/
/*.tooltipdemoBasicUsage md-toolbar .md-toolbar-tools .md-button:hover {*/
	/*box-shadow: none;*/
	/*border: none;*/
	/*transform: none;*/
	/*-webkit-transform: none; }*/
/*.tooltipdemoBasicUsage .left {*/
	/*top: 70px !important;*/
	/*left: 56px !important; }*/
/*.tooltipdemoBasicUsage .right {*/
	/*top: 70px !important;*/
	/*right: 56px !important; }*/


.various-content ul.sublist > li:before {
    display: none;
}

.owl-theme .owl-controls .owl-pagination {
    text-align: center;
    padding: 15px 0;
}
.owl-theme .owl-controls .owl-page {
    display: inline-block;
}
.owl-theme .owl-controls .owl-page span {
    background: none repeat scroll 0 0 #D6D6D6;
    border-radius: 20px;
    display: block;
    height: 12px;
    margin: 5px 7px;
    opacity: 0.5;
    width: 12px;
}
.owl-theme .owl-controls .owl-page.active span,
.owl-theme .owl-controls .owl-page:hover span {
    background: #869791;
}
.md-calendar-scroll-container {
	width: auto;
  	box-shadow: none;
}


.accordion-content__table-row {
    display: flex;
    justify-content: space-between;
    padding: 15px;
}
.accordion-content__table-row:nth-child(odd) {
    background-color: #eeeeee;
}
.accordion-content__table-col:first-child {
    max-width: 600px;
}
.accordion-content__table-col:not(:first-child) {
    margin-left: 15px;
}
.accordion-content__table-col.actions {
    white-space: nowrap;
}